# Class DatabricksDriverFeatureFlagsContextFactory

java.lang.Object
com.databricks.jdbc.common.safe.DatabricksDriverFeatureFlagsContextFactory

public class DatabricksDriverFeatureFlagsContextFactory extends Object
Factory class to manage DatabricksDriverFeatureFlagsContext instances

## Method Summary

Modifier and Type
Method
Description
`static DatabricksDriverFeatureFlagsContext`
`getInstance(IDatabricksConnectionContext context)`
Gets or creates a DatabricksDriverFeatureFlagsContext instance for the given compute
`static void`
`removeInstance(IDatabricksConnectionContext connectionContext)`
Removes the DatabricksDriverFeatureFlagsContext instance for the given compute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static DatabricksDriverFeatureFlagsContext getInstance(IDatabricksConnectionContext context)
Gets or creates a DatabricksDriverFeatureFlagsContext instance for the given compute

Parameters:
  `context` - the connection context
Returns:
  the DatabricksDriverFeatureFlagsContext instance

### removeInstance

public static void removeInstance(IDatabricksConnectionContext connectionContext)
Removes the DatabricksDriverFeatureFlagsContext instance for the given compute.

Parameters:
  `connectionContext` - the connection context